#!/bin/bash

if [ "$(id -u)" != 0 ]; then
  echo "Будьласка, виконайте цей скрипт з правами"
  echo "суперкористовача, тобто root."
  echo "Для цього перед запуском скрипту виконайте команду"
  echo "sudo -s"
  exit 1
fi

eusign_download_url="http://dir-repo-p-01.trembita.gov.ua:82/pac/EUSignJava.jar"
signer_plug_download_url="http://01-03-repo-p-01-n.trembita.gov.ua:82/trembita/pac/signer-uac-plugin-1.0.6.jar"
encr_lib_location="/usr/share/uxp/jlib/addon/uac/EUSignJava.jar"

echo "Цей сценарій оновить біліотеку криптоперетворень,"
echo "будьласка зробіть резервну копію чи снапшот,"
echo "для того щоб почати, натисніть ENTER"
read unless_var

exist_encr_lib=$(ls $encr_lib_location -l | grep ^- | wc -l)

os_relaese=$(lsb_release -sr)


if [[ "$exist_encr_lib" == "1" ]]; then
  echo ""
  echo "Знайдено файл бібліотеки, md5 сума цього файла:"
  echo $(md5sum $encr_lib_location)
  echo ""
else
  echo ""
  echo "Файл бібліотеки не знайдено, можливо ви запустили сркипт не на ШБО"
  echo ""
  exit 1
fi

wget $eusign_download_url -P /tmp/
mv /tmp/EUSignJava.jar $encr_lib_location


/usr/share/uxp/uaic/scripts/_uxp-uaic-integritychecker.sh recalc exec
uxp-ua-integritychecker.sh recalc_all
service uxp-proxy restart

echo ""
echo "md5 сума нового файла бібліотеки"
echo $(md5sum $encr_lib_location)
echo "Версія операцийної системи:"
echo $os_relaese
echo "Перезавантажте сервер"
exit 0

#wget $signer_plug_download_url -P /tmp/
#mv /tmp/signer-uac-plugin-1.0.6.jar /usr/share/uxp/jlib/addon/signer/signer-uac-plugn-1.0.7.jar